| FFmpegKit iOS / macOS / tvOS API 6.0

Loading...
Searching...
No Matches
Instance Methods | Class Methods
FFmpegSession Class Reference

`#import <FFmpegSession.h>`

## Instance Methods
(StatisticsCallback) | - getStatisticsCallback
(FFmpegSessionCompleteCallback) | - getCompleteCallback
(NSArray *) | - getAllStatisticsWithTimeout:
(NSArray *) | - getAllStatistics
(NSArray *) | - getStatistics
(Statistics *) | - getLastReceivedStatistics
(void) | - addStatistics:
(instancetype) | - init:withCompleteCallback:withLogCallback:withStatisticsCallback:withLogRedirectionStrategy:`[implementation]`
(BOOL) | - isFFmpeg`[implementation]`
(BOOL) | - isFFprobe`[implementation]`
(BOOL) | - isMediaInformation`[implementation]`
Instance Methods inherited from AbstractSession
(instancetype) | - init:withLogCallback:withLogRedirectionStrategy:
(void) | - waitForAsynchronousMessagesInTransmit:
(LogCallback) | - getLogCallback`[implementation]`
(long) | - getSessionId`[implementation]`
(NSDate *) | - getCreateTime`[implementation]`
(NSDate *) | - getStartTime`[implementation]`
(NSDate *) | - getEndTime`[implementation]`
(long) | - getDuration`[implementation]`
(NSArray *) | - getArguments`[implementation]`
(NSString *) | - getCommand`[implementation]`
(NSArray *) | - getAllLogsWithTimeout:`[implementation]`
(NSArray *) | - getAllLogs`[implementation]`
(NSArray *) | - getLogs`[implementation]`
(NSString *) | - getAllLogsAsStringWithTimeout:`[implementation]`
(NSString *) | - getAllLogsAsString`[implementation]`
(NSString *) | - getLogsAsString`[implementation]`
(NSString *) | - getOutput`[implementation]`
(SessionState) | - getState`[implementation]`
(ReturnCode *) | - getReturnCode`[implementation]`
(NSString *) | - getFailStackTrace`[implementation]`
(LogRedirectionStrategy) | - getLogRedirectionStrategy`[implementation]`
(BOOL) | - thereAreAsynchronousMessagesInTransmit`[implementation]`
(void) | - addLog:`[implementation]`
(void) | - startRunning`[implementation]`
(void) | - complete:`[implementation]`
(void) | - fail:`[implementation]`
(BOOL) | - isFFmpeg`[implementation]`
(BOOL) | - isFFprobe`[implementation]`
(BOOL) | - isMediaInformation`[implementation]`
(void) | - cancel`[implementation]`
(LogCallback) | - getLogCallback
(long) | - getSessionId
(NSDate *) | - getCreateTime
(NSDate *) | - getStartTime
(NSDate *) | - getEndTime
(long) | - getDuration
(NSArray *) | - getArguments
(NSString *) | - getCommand
(NSArray *) | - getAllLogsWithTimeout:
(NSArray *) | - getAllLogs
(NSArray *) | - getLogs
(NSString *) | - getAllLogsAsStringWithTimeout:
(NSString *) | - getAllLogsAsString
(NSString *) | - getLogsAsString
(NSString *) | - getOutput
(SessionState) | - getState
(ReturnCode *) | - getReturnCode
(NSString *) | - getFailStackTrace
(LogRedirectionStrategy) | - getLogRedirectionStrategy
(BOOL) | - thereAreAsynchronousMessagesInTransmit
(void) | - addLog:
(void) | - startRunning
(void) | - complete:
(void) | - fail:
(BOOL) | - isFFmpeg
(BOOL) | - isFFprobe
(BOOL) | - isMediaInformation
(void) | - cancel

## Class Methods
(instancetype) | + create:
(instancetype) | + create:withCompleteCallback:
(instancetype) | + create:withCompleteCallback:withLogCallback:withStatisticsCallback:
(instancetype) | + create:withCompleteCallback:withLogCallback:withStatisticsCallback:withLogRedirectionStrategy:
(void) | + initialize`[implementation]`
(void) | + initialize`[implementation]`

## Detailed Description

An FFmpeg session.

Definition at line 31 of file FFmpegSession.h.

## Method Documentation

## ◆ addStatistics:

- (void) addStatistics: |  | (Statistics*) | statistics |

Adds a new statistics entry for this session. It is invoked internally by `FFmpegKit` library methods. Must not be used by user applications.

Parameters

  statistics | statistics entry

Definition at line 29 of file FFmpegSession.m.

## ◆ create:

+ (instancetype) create: |  | (NSArray*) | arguments |

Builds a new FFmpeg session.

Parameters

  arguments | command arguments

Returns
  created session

Definition at line 29 of file FFmpegSession.m.

## ◆ create:withCompleteCallback:

+ (instancetype) create: |  | (NSArray*) | arguments
withCompleteCallback: |  | (FFmpegSessionCompleteCallback) | completeCallback

Builds a new FFmpeg session.

Parameters

  arguments | command arguments
  completeCallback | session specific complete callback

Returns
  created session

Definition at line 29 of file FFmpegSession.m.

## ◆ create:withCompleteCallback:withLogCallback:withStatisticsCallback:

+ (instancetype) create: |  | (NSArray*) | arguments
withCompleteCallback: |  | (FFmpegSessionCompleteCallback) | completeCallback
withLogCallback: |  | (LogCallback) | logCallback
withStatisticsCallback: |  | (StatisticsCallback) | statisticsCallback

Builds a new FFmpeg session.

Parameters

  arguments | command arguments
  completeCallback | session specific complete callback
  logCallback | session specific log callback
  statisticsCallback | session specific statistics callback

Returns
  created session

Definition at line 29 of file FFmpegSession.m.

## ◆ create:withCompleteCallback:withLogCallback:withStatisticsCallback:withLogRedirectionStrategy:

+ (instancetype) create: |  | (NSArray*) | arguments
withCompleteCallback: |  | (FFmpegSessionCompleteCallback) | completeCallback
withLogCallback: |  | (LogCallback) | logCallback
withStatisticsCallback: |  | (StatisticsCallback) | statisticsCallback
withLogRedirectionStrategy: |  | (LogRedirectionStrategy) | logRedirectionStrategy

Builds a new FFmpeg session.

Parameters

  arguments | command arguments
  completeCallback | session specific complete callback
  logCallback | session specific log callback
  statisticsCallback | session specific statistics callback
  logRedirectionStrategy | session specific log redirection strategy

Returns
  created session

Definition at line 29 of file FFmpegSession.m.

## ◆ getAllStatistics

- (NSArray *) getAllStatistics |  |  |

Returns all statistics entries generated for this session. If there are asynchronous messages that are not delivered yet, this method waits for them until AbstractSessionDefaultTimeoutForAsynchronousMessagesInTransmit expires.

Returns
  list of statistics entries generated for this session

Definition at line 29 of file FFmpegSession.m.

## ◆ getAllStatisticsWithTimeout:

- (NSArray *) getAllStatisticsWithTimeout: |  | (int) | waitTimeout |

Returns all statistics entries generated for this session. If there are asynchronous messages that are not delivered yet, this method waits for them until the given timeout.

Parameters

  waitTimeout | wait timeout for asynchronous messages in milliseconds

Returns
  list of statistics entries generated for this session

Definition at line 29 of file FFmpegSession.m.

## ◆ getCompleteCallback

- (FFmpegSessionCompleteCallback) getCompleteCallback |  |  |

Returns the session specific complete callback.

Returns
  session specific complete callback

Definition at line 29 of file FFmpegSession.m.

## ◆ getLastReceivedStatistics

- (Statistics *) getLastReceivedStatistics |  |  |

Returns the last received statistics entry.

Returns
  the last received statistics entry or nil if there are not any statistics entries received

Definition at line 29 of file FFmpegSession.m.

## ◆ getStatistics

- (NSArray *) getStatistics |  |  |

Returns all statistics entries delivered for this session. Note that if there are asynchronous messages that are not delivered yet, this method will not wait for them and will return immediately.

Returns
  list of statistics entries received for this session

Definition at line 29 of file FFmpegSession.m.

## ◆ getStatisticsCallback

- (StatisticsCallback) getStatisticsCallback |  |  |

Returns the session specific statistics callback.

Returns
  session specific statistics callback

Definition at line 29 of file FFmpegSession.m.

## ◆ init:withCompleteCallback:withLogCallback:withStatisticsCallback:withLogRedirectionStrategy:

- (instancetype) init: |  | (NSArray*) | arguments
withCompleteCallback: |  | (FFmpegSessionCompleteCallback) | completeCallback
withLogCallback: |  | (LogCallback) | logCallback
withStatisticsCallback: |  | (StatisticsCallback) | statisticsCallback
withLogRedirectionStrategy: |  | (LogRedirectionStrategy) | logRedirectionStrategy
| implementation

Definition at line 29 of file FFmpegSession.m.

## ◆ initialize

+ (void) initialize |  |  |
| implementation

Reimplemented from AbstractSession.

Definition at line 29 of file FFmpegSession.m.

## ◆ isFFmpeg

- (BOOL) isFFmpeg |  |  |
| implementation

Returns whether it is an `FFmpeg` session or not.

Returns
  true if it is an `FFmpeg` session, false otherwise

Reimplemented from AbstractSession.

Definition at line 29 of file FFmpegSession.m.

## ◆ isFFprobe

- (BOOL) isFFprobe |  |  |
| implementation

Returns whether it is an `FFprobe` session or not.

Returns
  true if it is an `FFprobe` session, false otherwise

Reimplemented from AbstractSession.

Definition at line 29 of file FFmpegSession.m.

## ◆ isMediaInformation

- (BOOL) isMediaInformation |  |  |
| implementation

Returns whether it is a `MediaInformation` session or not.

Returns
  true if it is a `MediaInformation` session, false otherwise

Reimplemented from AbstractSession.

Definition at line 29 of file FFmpegSession.m.

The documentation for this class was generated from the following files:

- FFmpegSession.h
- FFmpegSession.m